package com.nokia.domainb.capability.entity;

import com.alibaba.fastjson.annotation.JSONField;

import lombok.Data;

@Data
public class Route {
    @JSONField(name = "ROUTE_VALUE")
    private String routeValue;
    @JSONField(name = "NET_TYPE_CODE")
    private String netTypeCode;
    @JSONField(name = "ROUTE_TYPE")
    private String routeType;
    // 1：drds 号码在用状态 且为新架构号码 2：oracle 号码在用状态 且为cBss常态化号码 3：非CB 号码在cBss系统没有路由记录
    // 4：drds 号码失效状态 且为新架构号码 5：oracle 号码失效状态 且为cBss常态化号码
    @JSONField(name = "USER_STATUS")
    private String userStatus;
    @JSONField(name = "EPARCHY_CODE")
    private String eparchyCode;
    @JSONField(name = "INACTIVE_TIME")
    private String inactiveTime;
    @JSONField(name = "ACTIVE_TIME")
    private String activeTime;
    // 省份id
    @JSONField(name = "PROVINCE_CODE")
    private String provinceCode;
}
